Bug 636386 - (CVE-2010-3477) CVE-2010-3477 kernel: net/sched/act_police.c infoleak
CVE-2010-3477 kernel: net/sched/act_police.c infoleak
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
reported=20100922,public=20100901,sou...
: Security
Depends On: 636387 636388 636389 636390 636391 636392 636393 636394
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-21 23:58 EDT by Eugene Teo (Security Response)
Modified: 2015-08-31 23:55 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2010-09-21 23:58:39 EDT
Description of problem:
While reviewing commit 1c40be12f7d8ca1d387510d39787b12e512a7ce8 (CVE-2010-2942), Jeff Mahoney audited other users of tc_action_ops->dump for information leaks.

That commit covered almost all of them but act_police still had a leak.

opt.limit and opt.capab aren't zeroed out before the structure is passed out.

Upstream commit:
http://git.kernel.org/linus/0f04cfd098fb81fded74e78ea1a1b86cc6c6c31e
Comment 3 errata-xmlrpc 2010-10-19 14:48:05 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0779 https://rhn.redhat.com/errata/RHSA-2010-0779.html
Comment 4 errata-xmlrpc 2010-11-09 13:06:36 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0839 https://rhn.redhat.com/errata/RHSA-2010-0839.html
Comment 5 errata-xmlrpc 2011-01-11 14:45:36 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0007 https://rhn.redhat.com/errata/RHSA-2011-0007.html
Comment 6 errata-xmlrpc 2011-03-10 15:04:30 EST
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2011:0330 https://rhn.redhat.com/errata/RHSA-2011-0330.html

Note You need to log in before you can comment on or make changes to this bug.